> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# datadog-observability

> Datadog Observability - logs, metrics, spans, and RUM data

**Server path:** `/datadog-observability` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                            | Description                                    |
| --------------------------------------------------------------------------------------------------------------- | ---------------------------------------------- |
| [`datadog_observability_aggregate_logs`](#datadog_observability_aggregate_logs)                                 | Aggregate events                               |
| [`datadog_observability_aggregate_rumevents`](#datadog_observability_aggregate_rumevents)                       | Aggregate RUM events                           |
| [`datadog_observability_aggregate_spans`](#datadog_observability_aggregate_spans)                               | Aggregate spans                                |
| [`datadog_observability_estimate_metrics_output_series`](#datadog_observability_estimate_metrics_output_series) | Tag Configuration Cardinality Estimator        |
| [`datadog_observability_get_metric_metadata`](#datadog_observability_get_metric_metadata)                       | Get metric metadata                            |
| [`datadog_observability_list_logs`](#datadog_observability_list_logs)                                           | Search logs (POST)                             |
| [`datadog_observability_list_metric_assets`](#datadog_observability_list_metric_assets)                         | Related Assets to a Metric                     |
| [`datadog_observability_list_rumevents`](#datadog_observability_list_rumevents)                                 | Get a list of RUM events                       |
| [`datadog_observability_list_spans`](#datadog_observability_list_spans)                                         | Search spans                                   |
| [`datadog_observability_list_tag_configurations`](#datadog_observability_list_tag_configurations)               | Get a list of metrics                          |
| [`datadog_observability_query_metrics`](#datadog_observability_query_metrics)                                   | Query timeseries points                        |
| [`datadog_observability_query_scalar_data`](#datadog_observability_query_scalar_data)                           | Query scalar data across multiple products     |
| [`datadog_observability_query_timeseries_data`](#datadog_observability_query_timeseries_data)                   | Query timeseries data across multiple products |
| [`datadog_observability_search_rumevents`](#datadog_observability_search_rumevents)                             | Search RUM events                              |
| [`datadog_observability_submit_metrics`](#datadog_observability_submit_metrics)                                 | Submit metrics                                 |
| [`datadog_observability_update_metric_metadata`](#datadog_observability_update_metric_metadata)                 | Edit metric metadata                           |

***

## datadog\_observability\_aggregate\_logs

Aggregate events

**Parameters:**

| Parameter  | Type      | Required | Default | Description                                                                                                                           |
| ---------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| `compute`  | object\[] | No       | —       | The list of metrics or timeseries to compute for the retrieved buckets.                                                               |
| `filter`   | object    | No       | —       | The search and filter query settings                                                                                                  |
| `group_by` | object\[] | No       | —       | The rules for the group by                                                                                                            |
| `options`  | object    | No       | —       | Global query options that are used during the query. Note: These fields are currently deprecated and do not affect the query results. |
| `page`     | object    | No       | —       | Paging settings                                                                                                                       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "compute": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "aggregation": {
              "type": "string",
              "enum": [
                "count",
                "cardinality",
                "pc75",
                "pc90",
                "pc95",
                "pc98",
                "pc99",
                "sum",
                "min",
                "max",
                "avg",
                "median"
              ],
              "description": "An aggregation function"
            },
            "interval": {
              "type": "string",
              "description": "The time buckets' size (only used for type=timeseries) Defaults to a resolution of 150 points"
            },
            "metric": {
              "type": "string",
              "description": "The metric to use"
            },
            "type": {
              "type": "string",
              "enum": [
                "timeseries",
                "total"
              ],
              "description": "The type of compute"
            }
          },
          "required": [
            "aggregation"
          ]
        },
        "description": "The list of metrics or timeseries to compute for the retrieved buckets."
      },
      "filter": {
        "type": "object",
        "description": "The search and filter query settings",
        "properties": {
          "from": {
            "type": "string",
            "description": "The minimum time for the requested logs, supports date math and regular timestamps (milliseconds)."
          },
          "indexes": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "For customers with multiple indexes, the indexes to search. Defaults to ['*'] which means all indexes."
          },
          "query": {
            "type": "string",
            "description": "The search query - following the log search syntax."
          },
          "storage_tier": {
            "type": "string",
            "description": "Specifies storage type as indexes, online-archives or flex",
            "enum": [
              "indexes",
              "online-archives",
              "flex"
            ]
          },
          "to": {
            "type": "string",
            "description": "The maximum time for the requested logs, supports date math and regular timestamps (milliseconds)."
          }
        }
      },
      "group_by": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "facet": {
              "type": "string",
              "description": "The name of the facet to use (required)"
            },
            "histogram": {
              "type": "object",
              "description": "Used to perform a histogram computation (only for measure facets). Note: at most 100 buckets are allowed, the number of buckets is (max - min)/interval."
            },
            "limit": {
              "type": "integer",
              "format": "int64",
              "description": "The maximum buckets to return for this group by. Note: at most 10000 buckets are allowed. If grouping by multiple facets, the product of limits must not exceed 10000."
            },
            "missing": {
              "description": "The value to use for logs that don't have the facet used to group by"
            },
            "sort": {
              "type": "object",
              "description": "A sort rule"
            },
            "total": {
              "description": "A resulting object to put the given computes in over all the matching records."
            }
          },
          "required": [
            "facet"
          ]
        },
        "description": "The rules for the group by"
      },
      "options": {
        "type": "object",
        "description": "Global query options that are used during the query. Note: These fields are currently deprecated and do not affect the query results.",
        "properties": {
          "timeOffset": {
            "type": "integer",
            "description": "The time offset (in seconds) to apply to the query."
          },
          "timezone": {
            "type": "string",
            "description": "The timezone can be specified as GMT, UTC, an offset from UTC (like UTC+1), or as a Timezone Database identifier (like America/New_York)."
          }
        }
      },
      "page": {
        "type": "object",
        "description": "Paging settings",
        "properties": {
          "cursor": {
            "type": "string",
            "description": "The returned paging point to use to get the next results. Note: at most 1000 results can be paged."
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_aggregate\_rumevents

Aggregate RUM events

**Parameters:**

| Parameter  | Type      | Required | Default | Description                                                                                                                           |
| ---------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| `compute`  | object\[] | No       | —       | The list of metrics or timeseries to compute for the retrieved buckets.                                                               |
| `filter`   | object    | No       | —       | The search and filter query settings.                                                                                                 |
| `group_by` | object\[] | No       | —       | The rules for the group by.                                                                                                           |
| `options`  | object    | No       | —       | Global query options that are used during the query. Note: Only supply timezone or time offset, not both. Otherwise, the query fails. |
| `page`     | object    | No       | —       | Paging attributes for listing events.                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "compute": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "aggregation": {
              "type": "string",
              "enum": [
                "count",
                "cardinality",
                "pc75",
                "pc90",
                "pc95",
                "pc98",
                "pc99",
                "sum",
                "min",
                "max",
                "avg",
                "median"
              ],
              "description": "An aggregation function."
            },
            "interval": {
              "type": "string",
              "description": "The time buckets' size (only used for type=timeseries) Defaults to a resolution of 150 points."
            },
            "metric": {
              "type": "string",
              "description": "The metric to use."
            },
            "type": {
              "type": "string",
              "enum": [
                "timeseries",
                "total"
              ],
              "description": "The type of compute."
            }
          },
          "required": [
            "aggregation"
          ]
        },
        "description": "The list of metrics or timeseries to compute for the retrieved buckets."
      },
      "filter": {
        "type": "object",
        "description": "The search and filter query settings.",
        "properties": {
          "from": {
            "type": "string",
            "description": "The minimum time for the requested events; supports date (in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format with full date, hours, minutes, and the `Z` UTC indicator - seconds and fractional seconds are optional), math, and regular timestamps (in milliseconds)."
          },
          "query": {
            "type": "string",
            "description": "The search query following the RUM search syntax."
          },
          "to": {
            "type": "string",
            "description": "The maximum time for the requested events; supports date (in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format with full date, hours, minutes, and the `Z` UTC indicator - seconds and fractional seconds are optional), math, and regular timestamps (in milliseconds)."
          }
        }
      },
      "group_by": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "facet": {
              "type": "string",
              "description": "The name of the facet to use (required)."
            },
            "histogram": {
              "type": "object",
              "description": "Used to perform a histogram computation (only for measure facets). Note: At most 100 buckets are allowed, the number of buckets is (max - min)/interval."
            },
            "limit": {
              "type": "integer",
              "format": "int64",
              "description": "The maximum buckets to return for this group-by."
            },
            "missing": {
              "description": "The value to use for logs that don't have the facet used to group by."
            },
            "sort": {
              "type": "object",
              "description": "A sort rule."
            },
            "total": {
              "description": "A resulting object to put the given computes in over all the matching records."
            }
          },
          "required": [
            "facet"
          ]
        },
        "description": "The rules for the group by."
      },
      "options": {
        "type": "object",
        "description": "Global query options that are used during the query. Note: Only supply timezone or time offset, not both. Otherwise, the query fails.",
        "properties": {
          "time_offset": {
            "type": "integer",
            "description": "The time offset (in seconds) to apply to the query."
          },
          "timezone": {
            "type": "string",
            "description": "The timezone can be specified as GMT, UTC, an offset from UTC (like UTC+1), or as a Timezone Database identifier (like America/New_York)."
          }
        }
      },
      "page": {
        "type": "object",
        "description": "Paging attributes for listing events.",
        "properties": {
          "cursor": {
            "type": "string",
            "description": "List following results with a cursor provided in the previous query."
          },
          "limit": {
            "type": "integer",
            "description": "Maximum number of events in the response."
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_aggregate\_spans

Aggregate spans

**Parameters:**

| Parameter | Type   | Required | Default | Description                              |
| --------- | ------ | -------- | ------- | ---------------------------------------- |
| `data`    | object | No       | —       | The object containing the query content. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "data": {
        "type": "object",
        "description": "The object containing the query content.",
        "properties": {
          "attributes": {
            "type": "object",
            "description": "The object containing all the query parameters."
          },
          "type": {
            "type": "string",
            "description": "The type of resource. The value should always be aggregate_request.",
            "enum": [
              "aggregate_request"
            ]
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_estimate\_metrics\_output\_series

Tag Configuration Cardinality Estimator

**Parameters:**

| Parameter                  | Type    | Required | Default | Description                                                                                                                 |
| -------------------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------- |
| `metric_name`              | string  | Yes      | —       | The name of the metric.                                                                                                     |
| `filter[groups]`           | string  | No       | —       | Filtered tag keys that the metric is configured to query with.                                                              |
| `filter[hours_ago]`        | integer | No       | —       | The number of hours of look back (from now) to estimate cardinality with. If unspecified, it defaults to 0 hours.           |
| `filter[num_aggregations]` | integer | No       | —       | Deprecated. Number of aggregations has no impact on volume.                                                                 |
| `filter[pct]`              | boolean | No       | —       | A boolean, for distribution metrics only, to estimate cardinality if the metric includes additional percentile aggregators. |
| `filter[timespan_h]`       | integer | No       | —       | A window, in hours, from the look back to estimate cardinality with. The minimum and default is 1 hour.                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "metric_name": {
        "type": "string",
        "description": "The name of the metric."
      },
      "filter[groups]": {
        "type": "string",
        "description": "Filtered tag keys that the metric is configured to query with."
      },
      "filter[hours_ago]": {
        "type": "integer",
        "description": "The number of hours of look back (from now) to estimate cardinality with. If unspecified, it defaults to 0 hours."
      },
      "filter[num_aggregations]": {
        "type": "integer",
        "description": "Deprecated. Number of aggregations has no impact on volume."
      },
      "filter[pct]": {
        "type": "boolean",
        "description": "A boolean, for distribution metrics only, to estimate cardinality if the metric includes additional percentile aggregators."
      },
      "filter[timespan_h]": {
        "type": "integer",
        "description": "A window, in hours, from the look back to estimate cardinality with. The minimum and default is 1 hour."
      }
    },
    "required": [
      "PCID",
      "metric_name"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_get\_metric\_metadata

Get metric metadata

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                   |
| ------------- | ------ | -------- | ------- | --------------------------------------------- |
| `metric_name` | string | Yes      | —       | Name of the metric for which to get metadata. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "metric_name": {
        "type": "string",
        "description": "Name of the metric for which to get metadata."
      }
    },
    "required": [
      "PCID",
      "metric_name"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_list\_logs

Search logs (POST)

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                                                                                                                                                                                                                   |
| --------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `index`   | string  | No       | —       | The log index on which the request is performed. For multi-index organizations, the default is all live indexes. Historical indexes of rehydrated logs must be specified.                                                                                     |
| `limit`   | integer | No       | —       | Number of logs return in the response.                                                                                                                                                                                                                        |
| `query`   | string  | No       | —       | The search query - following the log search syntax.                                                                                                                                                                                                           |
| `sort`    | string  | No       | —       | Time-ascending `asc` or time-descending `desc` results.                                                                                                                                                                                                       |
| `startAt` | string  | No       | —       | Hash identifier of the first log to return in the list, available in a log `id` attribute. This parameter is used for the pagination feature.  **Note**: This parameter is ignored if the corresponding log is out of the scope of the specified time window. |
| `time`    | object  | No       | —       | Timeframe to retrieve the log from.                                                                                                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "index": {
        "type": "string",
        "description": "The log index on which the request is performed. For multi-index organizations, the default is all live indexes. Historical indexes of rehydrated logs must be specified."
      },
      "limit": {
        "type": "integer",
        "description": "Number of logs return in the response."
      },
      "query": {
        "type": "string",
        "description": "The search query - following the log search syntax."
      },
      "sort": {
        "type": "string",
        "description": "Time-ascending `asc` or time-descending `desc` results.",
        "enum": [
          "asc",
          "desc"
        ]
      },
      "startAt": {
        "type": "string",
        "description": "Hash identifier of the first log to return in the list, available in a log `id` attribute. This parameter is used for the pagination feature.  **Note**: This parameter is ignored if the corresponding log is out of the scope of the specified time window."
      },
      "time": {
        "type": "object",
        "description": "Timeframe to retrieve the log from.",
        "properties": {
          "from": {
            "type": "string",
            "description": "Minimum timestamp for requested logs."
          },
          "timezone": {
            "type": "string",
            "description": "Timezone can be specified both as an offset (for example \"UTC+03:00\") or a regional zone (for example \"Europe/Paris\")."
          },
          "to": {
            "type": "string",
            "description": "Maximum timestamp for requested logs."
          }
        },
        "required": [
          "from",
          "to"
        ]
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_list\_metric\_assets

Related Assets to a Metric

**Parameters:**

| Parameter     | Type   | Required | Default | Description             |
| ------------- | ------ | -------- | ------- | ----------------------- |
| `metric_name` | string | Yes      | —       | The name of the metric. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "metric_name": {
        "type": "string",
        "description": "The name of the metric."
      }
    },
    "required": [
      "PCID",
      "metric_name"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_list\_rumevents

Get a list of RUM events

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                          |
| --------------- | ------- | -------- | ------- | -------------------------------------------------------------------- |
| `filter[query]` | string  | No       | —       | Search query following RUM syntax.                                   |
| `filter[from]`  | string  | No       | —       | Minimum timestamp for requested events.                              |
| `filter[to]`    | string  | No       | —       | Maximum timestamp for requested events.                              |
| `sort`          | string  | No       | —       | Order of events in results.                                          |
| `page[cursor]`  | string  | No       | —       | List following results with a cursor provided in the previous query. |
| `page[limit]`   | integer | No       | —       | Maximum number of events in the response.                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "filter[query]": {
        "type": "string",
        "description": "Search query following RUM syntax."
      },
      "filter[from]": {
        "type": "string",
        "description": "Minimum timestamp for requested events."
      },
      "filter[to]": {
        "type": "string",
        "description": "Maximum timestamp for requested events."
      },
      "sort": {
        "type": "string",
        "description": "Order of events in results.",
        "enum": [
          "timestamp",
          "-timestamp"
        ]
      },
      "page[cursor]": {
        "type": "string",
        "description": "List following results with a cursor provided in the previous query."
      },
      "page[limit]": {
        "type": "integer",
        "description": "Maximum number of events in the response."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_list\_spans

Search spans

**Parameters:**

| Parameter | Type   | Required | Default | Description                              |
| --------- | ------ | -------- | ------- | ---------------------------------------- |
| `data`    | object | No       | —       | The object containing the query content. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "data": {
        "type": "object",
        "description": "The object containing the query content.",
        "properties": {
          "attributes": {
            "type": "object",
            "description": "The object containing all the query parameters."
          },
          "type": {
            "type": "string",
            "description": "The type of resource. The value should always be search_request.",
            "enum": [
              "search_request"
            ]
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_list\_tag\_configurations

Get a list of metrics

**Parameters:**

| Parameter                          | Type    | Required | Default | Description                                                                                                                                                                                                                                                                 |
| ---------------------------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `filter[configured]`               | boolean | No       | —       | Only return custom metrics that have been configured with Metrics Without Limits.                                                                                                                                                                                           |
| `filter[tags_configured]`          | string  | No       | —       | Only return metrics that have the given tag key(s) in their Metrics Without Limits configuration (included or excluded).                                                                                                                                                    |
| `filter[metric_type]`              | string  | No       | —       | Only return metrics of the given metric type.                                                                                                                                                                                                                               |
| `filter[include_percentiles]`      | boolean | No       | —       | Only return distribution metrics that have percentile aggregations enabled (true) or disabled (false).                                                                                                                                                                      |
| `filter[queried]`                  | boolean | No       | —       | Only return metrics that have been queried (true) or not queried (false) in the look back window. Set the window with `filter[queried][window][seconds]`; if omitted, a default window is used.                                                                             |
| `filter[queried][window][seconds]` | integer | No       | —       | Only return metrics that have been queried or not queried in the specified window. Dependent on being sent with `filter[queried]`. The default value is 2,592,000 seconds (30 days), the maximum value is 15,552,000 seconds (180 days), and the minimum value is 1 second. |
| `filter[tags]`                     | string  | No       | —       | Only return metrics that were submitted with tags matching this expression. You can use AND, OR, IN, and wildcards (for example, service:web\*).                                                                                                                            |
| `filter[related_assets]`           | boolean | No       | —       | Only return metrics that are used in at least one dashboard, monitor, notebook, or SLO.                                                                                                                                                                                     |
| `window[seconds]`                  | integer | No       | —       | Only return metrics that have been actively reporting in the specified window. The default value is 3600 seconds (1 hour), the maximum value is 2,592,000 seconds (30 days), and the minimum value is 1 second.                                                             |
| `page[size]`                       | integer | No       | —       | Maximum number of results per page. Use with `page[cursor]` for pagination. The default value is 10000, the maximum value is 10000, and the minimum value is 1.                                                                                                             |
| `page[cursor]`                     | string  | No       | —       | Cursor for pagination. Use `page[size]` to opt-in to pagination and get the first page; for subsequent pages, use the value from `meta.pagination.next_cursor` in the response. Pagination is complete when `next_cursor` is null.                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "filter[configured]": {
        "type": "boolean",
        "description": "Only return custom metrics that have been configured with Metrics Without Limits."
      },
      "filter[tags_configured]": {
        "type": "string",
        "description": "Only return metrics that have the given tag key(s) in their Metrics Without Limits configuration (included or excluded)."
      },
      "filter[metric_type]": {
        "type": "string",
        "description": "Only return metrics of the given metric type.",
        "enum": [
          "non_distribution",
          "distribution"
        ]
      },
      "filter[include_percentiles]": {
        "type": "boolean",
        "description": "Only return distribution metrics that have percentile aggregations enabled (true) or disabled (false)."
      },
      "filter[queried]": {
        "type": "boolean",
        "description": "Only return metrics that have been queried (true) or not queried (false) in the look back window. Set the window with `filter[queried][window][seconds]`; if omitted, a default window is used."
      },
      "filter[queried][window][seconds]": {
        "type": "integer",
        "description": "Only return metrics that have been queried or not queried in the specified window. Dependent on being sent with `filter[queried]`. The default value is 2,592,000 seconds (30 days), the maximum value is 15,552,000 seconds (180 days), and the minimum value is 1 second."
      },
      "filter[tags]": {
        "type": "string",
        "description": "Only return metrics that were submitted with tags matching this expression. You can use AND, OR, IN, and wildcards (for example, service:web*)."
      },
      "filter[related_assets]": {
        "type": "boolean",
        "description": "Only return metrics that are used in at least one dashboard, monitor, notebook, or SLO."
      },
      "window[seconds]": {
        "type": "integer",
        "description": "Only return metrics that have been actively reporting in the specified window. The default value is 3600 seconds (1 hour), the maximum value is 2,592,000 seconds (30 days), and the minimum value is 1 second."
      },
      "page[size]": {
        "type": "integer",
        "description": "Maximum number of results per page. Use with `page[cursor]` for pagination. The default value is 10000, the maximum value is 10000, and the minimum value is 1."
      },
      "page[cursor]": {
        "type": "string",
        "description": "Cursor for pagination. Use `page[size]` to opt-in to pagination and get the first page; for subsequent pages, use the value from `meta.pagination.next_cursor` in the response. Pagination is complete when `next_cursor` is null."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_query\_metrics

Query timeseries points

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                     |
| --------- | ------- | -------- | ------- | --------------------------------------------------------------- |
| `from`    | integer | Yes      | —       | Start of the queried time period, seconds since the Unix epoch. |
| `to`      | integer | Yes      | —       | End of the queried time period, seconds since the Unix epoch.   |
| `query`   | string  | Yes      | —       | Query string.                                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "from": {
        "type": "integer",
        "description": "Start of the queried time period, seconds since the Unix epoch."
      },
      "to": {
        "type": "integer",
        "description": "End of the queried time period, seconds since the Unix epoch."
      },
      "query": {
        "type": "string",
        "description": "Query string."
      }
    },
    "required": [
      "PCID",
      "from",
      "to",
      "query"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_query\_scalar\_data

Query scalar data across multiple products

**Parameters:**

| Parameter | Type   | Required | Default | Description                           |
| --------- | ------ | -------- | ------- | ------------------------------------- |
| `data`    | object | Yes      | —       | A single scalar query to be executed. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "data": {
        "type": "object",
        "description": "A single scalar query to be executed.",
        "properties": {
          "attributes": {
            "type": "object",
            "description": "The object describing a scalar formula request."
          },
          "type": {
            "type": "string",
            "description": "The type of the resource. The value should always be scalar_request.",
            "enum": [
              "scalar_request"
            ]
          }
        },
        "required": [
          "type",
          "attributes"
        ]
      }
    },
    "required": [
      "PCID",
      "data"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_query\_timeseries\_data

Query timeseries data across multiple products

**Parameters:**

| Parameter | Type   | Required | Default | Description                               |
| --------- | ------ | -------- | ------- | ----------------------------------------- |
| `data`    | object | Yes      | —       | A single timeseries query to be executed. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "data": {
        "type": "object",
        "description": "A single timeseries query to be executed.",
        "properties": {
          "attributes": {
            "type": "object",
            "description": "The object describing a timeseries formula request."
          },
          "type": {
            "type": "string",
            "description": "The type of the resource. The value should always be timeseries_request.",
            "enum": [
              "timeseries_request"
            ]
          }
        },
        "required": [
          "type",
          "attributes"
        ]
      }
    },
    "required": [
      "PCID",
      "data"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_search\_rumevents

Search RUM events

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                                                                           |
| --------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| `filter`  | object | No       | —       | The search and filter query settings.                                                                                                 |
| `options` | object | No       | —       | Global query options that are used during the query. Note: Only supply timezone or time offset, not both. Otherwise, the query fails. |
| `page`    | object | No       | —       | Paging attributes for listing events.                                                                                                 |
| `sort`    | string | No       | —       | Sort parameters when querying events.                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "filter": {
        "type": "object",
        "description": "The search and filter query settings.",
        "properties": {
          "from": {
            "type": "string",
            "description": "The minimum time for the requested events; supports date (in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format with full date, hours, minutes, and the `Z` UTC indicator - seconds and fractional seconds are optional), math, and regular timestamps (in milliseconds)."
          },
          "query": {
            "type": "string",
            "description": "The search query following the RUM search syntax."
          },
          "to": {
            "type": "string",
            "description": "The maximum time for the requested events; supports date (in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format with full date, hours, minutes, and the `Z` UTC indicator - seconds and fractional seconds are optional), math, and regular timestamps (in milliseconds)."
          }
        }
      },
      "options": {
        "type": "object",
        "description": "Global query options that are used during the query. Note: Only supply timezone or time offset, not both. Otherwise, the query fails.",
        "properties": {
          "time_offset": {
            "type": "integer",
            "description": "The time offset (in seconds) to apply to the query."
          },
          "timezone": {
            "type": "string",
            "description": "The timezone can be specified as GMT, UTC, an offset from UTC (like UTC+1), or as a Timezone Database identifier (like America/New_York)."
          }
        }
      },
      "page": {
        "type": "object",
        "description": "Paging attributes for listing events.",
        "properties": {
          "cursor": {
            "type": "string",
            "description": "List following results with a cursor provided in the previous query."
          },
          "limit": {
            "type": "integer",
            "description": "Maximum number of events in the response."
          }
        }
      },
      "sort": {
        "type": "string",
        "description": "Sort parameters when querying events.",
        "enum": [
          "timestamp",
          "-timestamp"
        ]
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_submit\_metrics

Submit metrics

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                  |
| ------------------ | --------- | -------- | ------- | -------------------------------------------- |
| `Content-Encoding` | string    | No       | —       | HTTP header used to compress the media-type. |
| `series`           | object\[] | Yes      | —       | A list of timeseries to submit to Datadog.   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Encoding": {
        "type": "string",
        "description": "HTTP header used to compress the media-type.",
        "enum": [
          "deflate",
          "gzip"
        ]
      },
      "series": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "interval": {
              "type": "integer",
              "format": "int64",
              "description": "If the type of the metric is rate or count, define the corresponding interval in seconds."
            },
            "metadata": {
              "type": "object",
              "description": "Object with all metric related metadata."
            },
            "metric": {
              "type": "string",
              "description": "The name of the timeseries."
            },
            "points": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "timestamp": {
                    "type": "integer",
                    "description": "The timestamp should be in seconds and current. Current is defined as not more than 10 minutes in the future or more than 1 hour in the past."
                  },
                  "value": {
                    "type": "number",
                    "description": "The numeric value format should be a 64bit float gauge-type value."
                  }
                }
              },
              "description": "Points relating to a metric. All points must be objects with timestamp and a scalar value (cannot be a string). Timestamps should be in POSIX time in seconds, and cannot be more than ten minutes in the future or more than one hour in the past."
            },
            "resources": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string",
                    "description": "The name of the resource."
                  },
                  "type": {
                    "type": "string",
                    "description": "The type of the resource."
                  }
                }
              },
              "description": "A list of resources to associate with this metric."
            },
            "source_type_name": {
              "type": "string",
              "description": "The source type name."
            },
            "tags": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "A list of tags associated with the metric."
            },
            "type": {
              "type": "integer",
              "format": "int32",
              "enum": [
                0,
                1,
                2,
                3
              ],
              "description": "The type of metric. The available types are `0` (unspecified), `1` (count), `2` (rate), and `3` (gauge)."
            },
            "unit": {
              "type": "string",
              "description": "The unit of point value."
            }
          },
          "required": [
            "metric",
            "points"
          ]
        },
        "description": "A list of timeseries to submit to Datadog."
      }
    },
    "required": [
      "PCID",
      "series"
    ]
  }
  ```
</Expandable>

***

## datadog\_observability\_update\_metric\_metadata

Edit metric metadata

**Parameters:**

| Parameter         | Type    | Required | Default | Description                                                       |
| ----------------- | ------- | -------- | ------- | ----------------------------------------------------------------- |
| `metric_name`     | string  | Yes      | —       | Name of the metric for which to edit metadata.                    |
| `description`     | string  | No       | —       | Metric description.                                               |
| `integration`     | string  | No       | —       | Name of the integration that sent the metric if applicable.       |
| `per_unit`        | string  | No       | —       | Per unit of the metric such as `second` in `bytes per second`.    |
| `short_name`      | string  | No       | —       | A more human-readable and abbreviated version of the metric name. |
| `statsd_interval` | integer | No       | —       | StatsD flush interval of the metric in seconds if applicable.     |
| `type`            | string  | No       | —       | Metric type such as `gauge` or `rate`.                            |
| `unit`            | string  | No       | —       | Primary unit of the metric such as `byte` or `operation`.         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "metric_name": {
        "type": "string",
        "description": "Name of the metric for which to edit metadata."
      },
      "description": {
        "type": "string",
        "description": "Metric description."
      },
      "integration": {
        "type": "string",
        "description": "Name of the integration that sent the metric if applicable."
      },
      "per_unit": {
        "type": "string",
        "description": "Per unit of the metric such as `second` in `bytes per second`."
      },
      "short_name": {
        "type": "string",
        "description": "A more human-readable and abbreviated version of the metric name."
      },
      "statsd_interval": {
        "type": "integer",
        "description": "StatsD flush interval of the metric in seconds if applicable."
      },
      "type": {
        "type": "string",
        "description": "Metric type such as `gauge` or `rate`."
      },
      "unit": {
        "type": "string",
        "description": "Primary unit of the metric such as `byte` or `operation`."
      }
    },
    "required": [
      "PCID",
      "metric_name"
    ]
  }
  ```
</Expandable>
